manager = Manager();

bbCmd = Turbine.ShellCommand();
function bbCmd:Execute(cmd, args)
    local playerName = Turbine.Gameplay.LocalPlayer:GetInstance():GetName();
    local command, a, b = string.match(args, "^%s*(%a+)%s+([^%s]+)%s+(.*)");
    if (command == "new") then
        local channel = tonumber(a);
        if ((not channel) or (channel < 1) or (channel > 8)) then
            Puts("Invalid user chat channel: " .. a);
            return;
        end
        local title = (b or "Blackboard");
        manager:CreateLocal(channel, title);
    else
        Puts("Invalid command.  For help, enter: /help bb");
    end
end
bbCmd.GetHelp = function()
    return "Blackboard commands:\n" ..
           "    /bkb new <n> <title> : Creates a new blackboard, where\n" ..
           "        n = a number from 1 to 8, indicating comm channel (userchat1 through userchat8)\n" ..
           "        title = a title for the window";
end
bbCmd.GetShortHelp = function()
    return "Command for controlling the Blackboard plugin.";
end
Turbine.Shell.AddCommand("bkb", bbCmd);
--Puts(bbCmd:GetHelp());
--bbCmd:Execute("bkb", "new 4 Test");

--[[
Turbine.Plugin.Load = function()
    import "Equendil.Utils";
    import "Equendil.LuaExplorer.Browser";
    function BrowseTable(name, t)
        local b = Equendil.LuaExplorer.Browser("Browsing: " .. name);
        b:Add(name, t, true, false);
        b:SetVisible( true );
        b:SetPosition(0, 0);
        b:Activate();
    end
    BrowseTable("_G", _G);
end
]]

--manager:_Receive(Turbine.ChatType.UserChat4, "[blackboard] Banorc: '<u>B</u>001i3x90V14Tblargity blarg48S1i5x233l154w0t0f5a6cEEE8AA30h1z14Tblargity blarg'\n");
